summaryrefslogtreecommitdiffstats
path: root/tests/bsd/exit.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/bsd/exit.sh')
-rw-r--r--tests/bsd/exit.sh10
1 files changed, 2 insertions, 8 deletions
diff --git a/tests/bsd/exit.sh b/tests/bsd/exit.sh
index 524a75f..248349c 100644
--- a/tests/bsd/exit.sh
+++ b/tests/bsd/exit.sh
@@ -1,11 +1,5 @@
-invoke_bfs basic -name foo -exit 42
-if [ $? -ne 42 ]; then
- return 1
-fi
+check_exit 42 invoke_bfs basic -name foo -exit 42
-invoke_bfs basic -name qux -exit 42
-if [ $? -ne 0 ]; then
- return 1
-fi
+check_exit 0 invoke_bfs basic -name qux -exit 42
bfs_diff basic/g -print -name g -exit